Paying too much to process cards? Get a cheaper quote today.Schedule a call →

API Keys

4 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.

Every request needs payments-api-key and payments-account.

GET/v1/api-keys

List all API Keys

Returns a list of API Keys. The API Keys are sorted with the most recently created appearing first.

Query parameters

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200PaginatedDto | object

  • has_morebooleanrequired

    Whether or not there are more elements available after this set. If false, this set comprises the end of the list.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • totalnumberoptional

    The total items count.

  • itemsarray of ApiKeyrequired

POST/v1/api-keys

Create an API key

Creates a new API Key. For security reasons, secret keys are only fully displayed upon creation. Store this key securely to authenticate your application to the API.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • namestringoptional

    A brief name or description of the API that will help you remember what it is used for.

  • scopesarray of string (* | accounts:delete | accounts:read | accounts:write | api_keys:read | api_keys:write | apple_pay_domains:read | apple_pay_domains:write | …)optional

    The list of scopes to define the access for this key. You may specify ['*'] (default) to enable all scopes. Scopes are ignored for keys of type publishable.

  • typestring (publishable | secret)required

    secret Must be kept secret at all times. publishable A publishable key is only used for creating payment tokens on your public facing website or integration.

Responses

201ApiKey

  • account_idstringrequired

    The id of the associated account.

  • created_atstring date-timerequired

    Time at which the object was created.

  • idstringrequired

    Unique identifier for the object.

  • last_usedstring date-timeoptional

    Time at which the key was last used to authenticate with the API.

  • namestringrequired

    The string that you assign to describe the resource. It defaults to 'type Key' (e.g. 'Secret Key' and 'Publishable Key')

  • scopesarray of string (* | accounts:delete | accounts:read | accounts:write | api_keys:read | api_keys:write | apple_pay_domains:read | apple_pay_domains:write | …)required

    The list of scopes to define the access for this key. You may specify ['*'] to enable all scopes.

  • typestring (publishable | secret)required

    The type of API key. secret can be used to authenticate all endpoints. publishable is used in your frontend application and can only access a handful of endpoints (e.g. confirm a Payment Intent).

  • updated_atstring date-timerequired

    Time at which the object was last updated.

  • valuestringrequired

    The actual value of the API key to be included in the payments-api-key header for authentication. secret keys will have a redacted value except when initially created.

DELETE/v1/api-keys/{id}

Delete an API Key

Deletes an API Key. This cannot be undone.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

204

PATCH/v1/api-keys/{id}

Update an API key

Updates the API Keys by setting the values of the provided parameters. Any parameters not provided will be left unchanged.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • namestringoptional

    A brief name or description of the API that will help you remember what it is used for.

  • scopesarray of string (* | accounts:delete | accounts:read | accounts:write | api_keys:read | api_keys:write | apple_pay_domains:read | apple_pay_domains:write | …)optional

    The list of scopes to define the access for this key. You may specify ['*'] (default) to enable all scopes. Scopes are ignored for keys of type publishable.

Responses

200ApiKey

  • account_idstringrequired

    The id of the associated account.

  • created_atstring date-timerequired

    Time at which the object was created.

  • idstringrequired

    Unique identifier for the object.

  • last_usedstring date-timeoptional

    Time at which the key was last used to authenticate with the API.

  • namestringrequired

    The string that you assign to describe the resource. It defaults to 'type Key' (e.g. 'Secret Key' and 'Publishable Key')

  • scopesarray of string (* | accounts:delete | accounts:read | accounts:write | api_keys:read | api_keys:write | apple_pay_domains:read | apple_pay_domains:write | …)required

    The list of scopes to define the access for this key. You may specify ['*'] to enable all scopes.

  • typestring (publishable | secret)required

    The type of API key. secret can be used to authenticate all endpoints. publishable is used in your frontend application and can only access a handful of endpoints (e.g. confirm a Payment Intent).

  • updated_atstring date-timerequired

    Time at which the object was last updated.

  • valuestringrequired

    The actual value of the API key to be included in the payments-api-key header for authentication. secret keys will have a redacted value except when initially created.